Bug 859271 - Review Request: php-symfony2-OptionsResolver - Symfony2 OptionsResolver Component
Review Request: php-symfony2-OptionsResolver - Symfony2 OptionsResolver Compo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2
Blocks: 823071
  Show dependency treegraph
 
Reported: 2012-09-20 20:24 EDT by Shawn Iwinski
Modified: 2012-11-17 11:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-17 11:58:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
859271-php-symfony2-OptionsResolver/php-symfony2-OptionsResolver-review.txt (6.18 KB, text/plain)
2012-10-10 11:32 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-09-20 20:24:33 EDT
Spec URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-symfony2-OptionsResolver.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-symfony2-OptionsResolver-2.1.2-1.fc17.src.rpm

Description:
OptionsResolver helps at configuring objects with option arrays.

It supports default values on different levels of your class hierarchy, option
constraints (required vs. optional, allowed values) and lazy options whose
default value depends on the value of another option.

Fedora Account System Username: siwinski

Distributions: EPEL 6, F16+
Comment 1 Remi Collet 2012-09-21 01:57:48 EDT
Same comments as bug #859270
Comment 2 Shawn Iwinski 2012-10-08 18:36:01 EDT
Updated per bug #859270 comments.

- Added PEAR package.xml modificaions
- Added patch for tests' bootstrap.php
- Added tests (%check)

SPEC URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-symfony2-OptionsResolver.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-symfony2-OptionsResolver-2.1.2-2.fc17.src.rpm
Comment 3 Remi Collet 2012-10-10 11:32:43 EDT
Created attachment 624962 [details]
859271-php-symfony2-OptionsResolver/php-symfony2-OptionsResolver-review.txt

Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Comment 4 Remi Collet 2012-10-10 11:33:43 EDT
Same typo in %changelog (modificaions) copy/paste limit ;)

=== APPROVED ===
Comment 5 Shawn Iwinski 2012-10-11 18:03:48 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-OptionsResolver
Short Description: Symfony2 OptionsResolver Component
Owners: siwinski
Branches: f16 f17 f18 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-10-12 07:31:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.